Bug 202676 - CVE-2006-4020 PHP buffer overflow flaw
CVE-2006-4020 PHP buffer overflow flaw
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=moderate,source=gentoo,reporte...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 16:17 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.1.6-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-03 07:22:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-08-15 16:17:35 EDT
For FC6

+++ This bug was initially created as a clone of Bug #201767 +++

PHP buffer overflow flaw

A buffer overflow flaw was found in the way PHP executes an argument
swap via the sscanf function.  The below URLs contain more
information.

http://bugs.php.net/bug.php?id=38322
http://www.securityfocus.com/archive/1/442438/30/0/threaded
http://bugs.gentoo.org/show_bug.cgi?id=143126

-- Additional comment from bressers@redhat.com on 2006-08-09 08:35 EST --
The upstream patch is here:
http://cvs.php.net/viewvc.cgi/php-src/ext/standard/scanf.c?r1=1.31.2.2&r2=1.31.2.2.2.1
Comment 1 Joe Orton 2006-11-03 07:22:12 EST
Fixed for FC6 GA.

Note You need to log in before you can comment on or make changes to this bug.